buyerservice

Full documentation for this service is available at /documentation/buyerservice.

Buy |WebMethod|

Purchases an item that is either an auction with buy it now option, a fixed price item, or a shop item.

Parameters
  1. itemId, The id of an item.
  2. buyAmount, The purchase amount.
Returns

The BuyResult object that contains information about the purchase. For more information see BuyResult

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/buyerservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/Buy"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <Buy xmlns="http://api.tradera.com">
      <itemId>itemId</itemId>
      <buyAmount>buyAmount</buyAmount>
    </Buy>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <BuyResponse xmlns="http://api.tradera.com">
      <BuyResult>The BuyResult object that contains information about the purchase. For more information see BuyResult</BuyResult>
    </BuyResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/buyerservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <Buy xmlns="http://api.tradera.com">
      <itemId>itemId</itemId>
      <buyAmount>buyAmount</buyAmount>
    </Buy>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <BuyResponse xmlns="http://api.tradera.com">
      <BuyResult>The BuyResult object that contains information about the purchase. For more information see BuyResult</BuyResult>
    </BuyResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/buyerservice.asmx/Buy?appId=string&appKey=string&itemId=string&buyAmount=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<BuyResult xmlns="http://api.tradera.com">The BuyResult object that contains information about the purchase. For more information see BuyResult</BuyResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/buyerservice.asmx/Buy HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&itemId=string&buyAmount=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<BuyResult xmlns="http://api.tradera.com">The BuyResult object that contains information about the purchase. For more information see BuyResult</BuyResult>